%global pkg_name MissingH

%global common_summary Large utility library

%global common_description MissingH is a library of all sorts of utility functions for \
Haskell programmers. It is written in pure Haskell and thus \
should be extremely portable and easy to use.

Name:           ghc-%{pkg_name}
Version:        1.1.0.3
Release:        8%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
# Data/Hash/CRC32/GZip.hs is BSD
# Data/Hash/CRC32/Posix.hs is GPL+
# System/Path/NameManip.hs is LGPLv2+
# System/Time/ParseDate.hs is GPLv2 (newer parsedate is now BSD)
# all 40 other src (and testsrc) files are GPLv2+
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-HUnit-prof, ghc-hslogger-prof, ghc-mtl-prof, ghc-network-prof, ghc-parsec-prof, ghc-regex-compat-prof, ghc-random-prof, ghc-haskell98-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}

mv COPYRIGHT COPYRIGHT.orig
iconv -f iso8859-1 -t utf-8 COPYRIGHT.orig > COPYRIGHT


%build
%ghc_lib_build


%install
%ghc_lib_install

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p TODO %{buildroot}%{_docdir}/%{name}-%{version}/TODO
install -m 644 -p COPYING %{buildroot}%{_docdir}/%{name}-%{version}/COPYING
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/
install -m 644 -p 3rd-party-licenses/BSD %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/BSD
install -m 644 -p 3rd-party-licenses/LGPL-2.1 %{buildroot}%{_docdir}/%{name}-%{version}/3rd-party-licenses/LGPL-2.1
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/announcements/
install -m 644 -p announcements/0.8.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.8.0.txt
install -m 644 -p announcements/0.9.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.9.0.txt
install -m 644 -p announcements/0.10.0.txt %{buildroot}%{_docdir}/%{name}-%{version}/announcements/0.10.0.txt


%ghc_lib_package


%changelog
* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-8
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.0.3-7
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-6
- Update for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-4
- rebuild (for hslogger-1.1.3)

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-3
- Update to cabal2spec-0.22.4
- Rebuild

* Wed Sep 22 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.3-2
- use iconv to fix COPYRIGHT file encoding
- add license comments

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.0.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
